Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.member.dev/api/v1/teams/{team_id}/segments/{segment_id} \ --header 'Authorization: Bearer <token>'
{ "data": { "attributes": { "conditions": { "groups": [ { "conditions": [ { "operator": "<string>", "type": "<string>", "value": { "text": "<string>" }, "display": {} } ], "logic": "<string>" } ], "version": 123 }, "created_at": "2023-11-07T05:31:56Z", "created_by": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "description": "<string>", "is_active": true, "name": "<string>", "slug": "<string>", "team_id": "<string>", "updated_at": "2023-11-07T05:31:56Z", "validation_error": {} }, "id": "<string>", "type": "segment" } }
Retrieve a single segment by ID. 404 if missing, soft-deleted, or cross-team.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Show child attributes